Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.util
Class ApplicationUtils

    java.lang.Object
      ru.biosoft.util.ApplicationUtils

public class ApplicationUtils
extends java.lang.Object

Constructor Summary
`ApplicationUtils()`

Method Summary
`static javax.swing.ImageIcon` | `getImageIcon(java.lang.String imagename)`
`static javax.swing.ImageIcon` | `getImageIcon(java.net.URL url)`
`static javax.swing.ImageIcon` | `getResourceImageIcon(java.lang.String imagename)`
`static boolean` | `isEmpty(java.lang.Object value)`
`static void` | `moveToCenter(java.awt.Component f)`
`static void` | `removeDir(java.io.File dir)`
`static void` | `setResourcesPath(java.lang.String str)`
`static void` | `sortFiles(java.io.File[] files)`
`static java.lang.String` | `subst(java.lang.String text, java.lang.String fromText, java.lang.String toText, java.lang.String defText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationUtils

    public ApplicationUtils()

Method Detail

### setResourcesPath

    public static void setResourcesPath(java.lang.String str)

### getImageIcon

    public static javax.swing.ImageIcon getImageIcon(java.net.URL url)

### getImageIcon

    public static javax.swing.ImageIcon getImageIcon(java.lang.String imagename)

### getResourceImageIcon

    public static javax.swing.ImageIcon getResourceImageIcon(java.lang.String imagename)

### removeDir

    public static void removeDir(java.io.File dir)

### sortFiles

    public static void sortFiles(java.io.File[] files)

### moveToCenter

    public static void moveToCenter(java.awt.Component f)

### isEmpty

    public static boolean isEmpty(java.lang.Object value)

### subst

    public static java.lang.String subst(java.lang.String text,
                                         java.lang.String fromText,
                                         java.lang.String toText,
                                         java.lang.String defText)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.